# Struct format_info

- Defined in File node.hpp

## Struct Documentation

struct format_info

  specification of how XML data should be written out

  Public Members

  bool indent = false
  bool indent_attributes = false
  bool collapse_tags = true
  bool suppress_comments = false
  bool escape_white_space = false
  bool escape_double_quote = true
  bool html = false

    This flag can be used to collapse only ‘empty elements’.

  std::size_t indent_width = 0
  std::size_t indent_level = 0
  version_type version = {1, 0}